Bug 688275 - extend vtk-qt with MySQL (and Boost support)
Summary: extend vtk-qt with MySQL (and Boost support)
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: vtk
Version: 15
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Orion Poplawski
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-03-16 17:18 UTC by Arnaud Gelas
Modified: 2011-07-31 03:45 UTC (History)
2 users (show)

Fixed In Version: vtk-5.6.1-9.fc15
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-07-31 03:45:39 UTC
Type: ---


Attachments (Terms of Use)

Description Arnaud Gelas 2011-03-16 17:18:54 UTC
Description of problem:
Current rpms of vtk does not include any support for MySQL (note boost support may also be a good idea).

These options are not enabled by default in VTK cmake file, but it will be really useful for 3rd part applications which make use of it.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Orion Poplawski 2011-03-16 17:24:51 UTC
I'm starting to take a look at various extra options.

Comment 2 Orion Poplawski 2011-03-16 21:39:11 UTC
Okay, I'm building vtk-5.6.1-6.fc16 in rawhide at the moment.  This adds boost, mysql, postgres, ogg theora, and text analysis support.  I'd like to test this out in rawhide a bit before pushing to F15.

http://koji.fedoraproject.org/koji/taskinfo?taskID=2918481

Comment 3 Orion Poplawski 2011-03-17 16:28:44 UTC
Building -7 with added requires to vtk-devel.

http://koji.fedoraproject.org/koji/taskinfo?taskID=2920422

Comment 4 Arnaud Gelas 2011-05-16 19:08:50 UTC
Is there any reason stopping you to push it on F15 ?
Did you incorporate qt, MySQL, boost, etc... into vtk-devel ?

thanks!

Comment 5 Orion Poplawski 2011-05-16 19:17:29 UTC
Just dropped off the radar.  I'll push a build today.

Comment 6 Fedora Update System 2011-05-16 21:50:21 UTC
vtk-5.6.1-8.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/vtk-5.6.1-8.fc15

Comment 7 Fedora Update System 2011-05-17 05:37:10 UTC
Package vtk-5.6.1-8.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing vtk-5.6.1-8.fc15'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/vtk-5.6.1-8.fc15
then log in and leave karma (feedback).

Comment 8 Fedora Update System 2011-05-19 17:58:30 UTC
vtk-5.6.1-9.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/vtk-5.6.1-9.fc15

Comment 9 Fedora Update System 2011-07-31 03:45:33 UTC
vtk-5.6.1-9.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.